【Pygame】pipでインストール(Windows編)

Pythonライブラリ「Pygame」をpipでWindows上にインストールする方法についてまとめました。

【導入例①】Pygameをpipでインストール

pipで2Dゲームライブラリ「Pygame」をインストールする手順は下記の通りです。

① コマンドプロンプトを起動します。

② 下記のコマンドを実行し、念のためにpipをアップデートします。

pip install --upgrade pip

③下記のコマンドを実行し、「Pygame」をインストールします。
■CPU版

pip install pygame

④下記のサンプルプログラムが実行できればインストール成功です。

# -*- coding:utf-8 -*-
import pygame
関連記事
1 【Pygame入門】ゲームプログラミング
2 Python入門 基本文法
Python
西住工房

コメント

  1. 木下 より:

    C:\python>pip install –upgrade pip
    Collecting pip
    Using cached https://files.pythonhosted.org/packages/5c/e0/be401c003291b56efc55aeba6a80ab790d3d4cece2778288d65323009420/pip-19.1.1-py2.py3-none-any.whl
    Installing collected packages: pip
    Found existing installation: pip 9.0.3
    Uninstalling pip-9.0.3:
    Exception:
    Traceback (most recent call last):
    File “c:\program files (x86)\python36-32\lib\shutil.py”, line 544, in move
    os.rename(src, real_dst)
    PermissionError: [WinError 5] アクセスが拒否されました。: ‘c:\\program files (x86)\\python36-32\\lib\\site-packages\\pip-9.0.3.dist-info\\description.rst’ -> ‘C:\\Users\\Public\\Documents\\iSkysoft\\CreatorTemp\\pip-8tot8cky-uninstall\\program files (x86)\\python36-32\\lib\\site-packages\\pip-9.0.3.dist-info\\description.rst’

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “c:\program files (x86)\python36-32\lib\site-packages\pip\basecommand.py”, line 215, in main
    status = self.run(options, args)
    File “c:\program files (x86)\python36-32\lib\site-packages\pip\commands\install.py”, line 342, in run
    prefix=options.prefix_path,
    File “c:\program files (x86)\python36-32\lib\site-packages\pip\req\req_set.py”, line 778, in install
    requirement.uninstall(auto_confirm=True)
    File “c:\program files (x86)\python36-32\lib\site-packages\pip\req\req_install.py”, line 754, in uninstall
    paths_to_remove.remove(auto_confirm)
    File “c:\program files (x86)\python36-32\lib\site-packages\pip\req\req_uninstall.py”, line 115, in remove
    renames(path, new_path)
    File “c:\program files (x86)\python36-32\lib\site-packages\pip\utils\__init__.py”, line 267, in renames
    shutil.move(old, new)
    File “c:\program files (x86)\python36-32\lib\shutil.py”, line 559, in move
    os.unlink(src)
    PermissionError: [WinError 5] アクセスが拒否されました。: ‘c:\\program files (x86)\\python36-32\\lib\\site-packages\\pip-9.0.3.dist-info\\description.rst’
    You are using pip version 9.0.3, however version 19.1.1 is available.
    You should consider upgrading via the ‘python -m pip install –upgrade pip’ command.
    と表示されます。
    これはどういう意味ですか?

    • 管理人 より:

      pipの更新作業(ファイル操作)時にアクセス権限でエラーが出ているみたいですね。
      文末で示されている通り、「pip install –upgrade pip」ではなく「python -m pip install –upgrade pip」で再度実行されてみてはいかがでしょうか。

タイトルとURLをコピーしました